Re: Failed build because of lxc-2.0.8


Bruce Ashfield
 

On Sat, Dec 11, 2021 at 9:56 AM <thitgahamtonghop@...> wrote:

I have successfully build a yocto image with branch rocko.

After that, I have cloned the layer meta-virtualization branch rocko and the build has error as bellow. I have checked the lxc-2.0.8.bb file and it is up-to-date to the rocko branch, what could be the problem? And how can I fix this error?
usermerge wasn't tested with lxc in the rocko release, so it is
installing parts of the package where usermerge is supposed to
overlay/manage things.

But at this point Rocko is way out of support, so you'd need to
reproduce it on a newer release before anyone can really help.

Bruce


ERROR: lxc-2.0.8-r0 do_package_qa: QA Issue: lxc-setup package is not obeying usrmerge distro feature. /lib should be relocated to /usr. [usrmerge]
ERROR: lxc-2.0.8-r0 do_package_qa: QA run found fatal errors. Please consider fixing them.
ERROR: lxc-2.0.8-r0 do_package_qa: Function failed: do_package_qa






--
- Thou shalt not follow the NULL pointer, for chaos and madness await
thee at its end
- "Use the force Harry" - Gandalf, Star Trek II

Join meta-virtualization@lists.yoctoproject.org to automatically receive all group messages.